Skip to main content

Approve Auto-Transfer Transaction

POST /v1/wallets/{wallet_id}/auto-transfer-transactions/{auto_transfer_transaction_id}/approve

Records an approval for an auto-transfer transaction. When the minimum required number of approvals is reached, the withdrawal is automatically initiated.

Headers

HeaderRequiredValue
AuthorizationYesBearer <token>
X-Target-ServerYeswallets

Path Parameters

ParameterTypeRequiredDescription
wallet_idstring (UUID)YesWallet ID
auto_transfer_transaction_idstring (UUID)YesAuto-transfer transaction ID

Request Body

No request body required.

Response

200 OK

Approval recorded and the minimum user count has been met. The withdrawal is now proceeding.

204 No Content

Approval recorded, but more approvals are still needed before the transaction can proceed.

400 Bad Request

Transaction is not in the correct state for approval.

401 Unauthorized

403 Forbidden

User is not authorized to approve (priority out of range, or missing mandatory user requirement).

404 Not Found

Transaction not found.

409 Conflict

User has already approved or rejected this transaction.

{
"code": 0,
"domain": 0,
"message": "user already approved this transaction"
}

500 Internal Server Error